package com.njcn.process.pojo.vo.gw;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author wr
 * @since 2023-09-01
 */
@Getter
public class AlarmVO {

    private static final long serialVersionUID = 1L;

    @TableId("Alarm_Id")
    private String alarmId;

    @ApiModelProperty("省id")
    @TableField("Province_Id")
    private String provinceId;

    @ApiModelProperty("省名称")
    @TableField("province_Name")
    private String provinceName;

    @ApiModelProperty("单据类别")
    @TableField("bill_Type")
    private String billType;

    @ApiModelProperty("单据编号")
    @TableField("bill_No")
    private String billNo;

    @ApiModelProperty("单据名称")
    @TableField("bill_Name")
    private String billName;

    @ApiModelProperty("编制单位id,取ISC平台上的组织id （sys_dept）")
    @TableField("creater_Org_Id")
    private String createrOrgId;

    @ApiModelProperty("编制单位名称,取ISC平台上的组织名称")
    @TableField("creater_Org_Name")
    private String createrOrgName;

    @ApiModelProperty("所属专业,见3.11（字典）")
    @TableField("speciality_Type")
    private String specialityType;

    @ApiModelProperty("责任单位id,取ISC平台上的组织id")
    @TableField("org_Id")
    private String orgId;

    @ApiModelProperty("责任单位名称,取ISC平台上的组织名称")
    @TableField("org_Name")
    private String orgName;

    @ApiModelProperty("接收人id,取ISC平台上的人员id")
    @TableField("receive_UserId")
    private String receiveUserid;

    @ApiModelProperty("接收人名称,取ISC平台上的人员名称")
    @TableField("receive_User_Name")
    private String receiveUserName;

    @ApiModelProperty("编制时间	yyyy-MM-dd HH:mm:ss")
    private Long createrTime;

    @ApiModelProperty("主管部门id,取ISC平台上的组织id")
    @TableField("manager_Dept_Id")
    private String managerDeptId;

    @ApiModelProperty("主管部门名称,取ISC平台上的组织名称")
    @TableField("manager_Dept_Name")
    private String managerDeptName;

    @ApiModelProperty("主送单位id,取ISC平台上的组织id")
    @TableField("main_Sender_Id")
    private String mainSenderId;

    @ApiModelProperty("主送单位名称,取ISC平台上的组织名称")
    @TableField("main_Sender_Name")
    private String mainSenderName;

    @ApiModelProperty("抄送单位id,取ISC平台上的组织id")
    @TableField("copy_Sender_Id")
    private String copySenderId;

    @ApiModelProperty("抄送单位名称,取ISC平台上的组织名称")
    @TableField("copy_Sender_Name")
    private String copySenderName;

    @ApiModelProperty("依据标准")
    @TableField("tech_Supv_Basis")
    private String techSupvBasis;

    @ApiModelProperty("问题描述")
    @TableField("problem_Desc")
    private String problemDesc;

    @ApiModelProperty("处理建议")
    @TableField("deal_Advise")
    private String dealAdvise;

    @ApiModelProperty("0.以上送 1.未上送 2.取消上送 3.待重新上送")
    @TableField("is_upload_head")
    private Integer isUploadHead;

    @ApiModelProperty("告预警单id,当ifReleaseWarning为是时，必填")
    private String workAlarmId;

    public String getWorkAlarmId() {
        return workAlarmId;
    }

    public void setWorkAlarmId(String workAlarmId) {
        this.workAlarmId = workAlarmId;
    }

    public void setAlarmId(String alarmId) {
        if (StrUtil.isNotBlank(alarmId)) {
            this.alarmId = alarmId;
        } else {
            this.alarmId = null;
        }
    }

    public void setProvinceId(String provinceId) {
        if (StrUtil.isNotBlank(provinceId)) {
            this.provinceId = provinceId;
        } else {
            this.provinceId = null;
        }
    }

    public void setProvinceName(String provinceName) {
        if (StrUtil.isNotBlank(provinceName)) {
            this.provinceName = provinceName;
        } else {
            this.provinceName = null;
        }
    }

    public void setBillType(String billType) {
        if (StrUtil.isNotBlank(billType)) {
            this.billType = billType;
        } else {
            this.billType = null;
        }
    }

    public void setBillNo(String billNo) {
        if (StrUtil.isNotBlank(billNo)) {
            this.billNo = billNo;
        } else {
            this.billNo = null;
        }
    }

    public void setBillName(String billName) {
        if (StrUtil.isNotBlank(billName)) {
            this.billName = billName;
        } else {
            this.billName = null;
        }
    }

    public void setCreaterOrgId(String createrOrgId) {
        if (StrUtil.isNotBlank(createrOrgId)) {
            this.createrOrgId = createrOrgId;
        } else {
            this.createrOrgId = null;
        }
    }

    public void setCreaterOrgName(String createrOrgName) {
        if (StrUtil.isNotBlank(createrOrgName)) {
            this.createrOrgName = createrOrgName;
        } else {
            this.createrOrgName = null;
        }
    }

    public void setSpecialityType(String specialityType) {
        if (StrUtil.isNotBlank(specialityType)) {
            this.specialityType = specialityType;
        } else {
            this.specialityType = null;
        }
    }

    public void setOrgId(String orgId) {
        if (StrUtil.isNotBlank(orgId)) {
            this.orgId = orgId;
        } else {
            this.orgId = null;
        }
    }

    public void setOrgName(String orgName) {
        if (StrUtil.isNotBlank(orgName)) {
            this.orgName = orgName;
        } else {
            this.orgName = null;
        }
    }

    public void setReceiveUserid(String receiveUserid) {
        if (StrUtil.isNotBlank(receiveUserid)) {
            this.receiveUserid = receiveUserid;
        } else {
            this.receiveUserid = null;
        }
    }

    public void setReceiveUserName(String receiveUserName) {
        if (StrUtil.isNotBlank(receiveUserName)) {
            this.receiveUserName = receiveUserName;
        } else {
            this.receiveUserName = null;
        }
    }

    public void setCreaterTime(Long createrTime) {
        this.createrTime = createrTime;
    }

    public void setManagerDeptId(String managerDeptId) {
        if (StrUtil.isNotBlank(managerDeptId)) {
            this.managerDeptId = managerDeptId;
        } else {
            this.managerDeptId = null;
        }
    }

    public void setManagerDeptName(String managerDeptName) {
        if (StrUtil.isNotBlank(managerDeptName)) {
            this.managerDeptName = managerDeptName;
        } else {
            this.managerDeptName = null;
        }
    }

    public void setMainSenderId(String mainSenderId) {
        if (StrUtil.isNotBlank(mainSenderId)) {
            this.mainSenderId = mainSenderId;
        } else {
            this.mainSenderId = null;
        }
    }

    public void setMainSenderName(String mainSenderName) {
        if (StrUtil.isNotBlank(mainSenderName)) {
            this.mainSenderName = mainSenderName;
        } else {
            this.mainSenderName = null;
        }
    }

    public void setCopySenderId(String copySenderId) {
        if (StrUtil.isNotBlank(copySenderId)) {
            this.copySenderId = copySenderId;
        } else {
            this.copySenderId = null;
        }
    }

    public void setCopySenderName(String copySenderName) {
        if (StrUtil.isNotBlank(copySenderName)) {
            this.copySenderName = copySenderName;
        } else {
            this.copySenderName = null;
        }
    }

    public void setTechSupvBasis(String techSupvBasis) {
        if (StrUtil.isNotBlank(techSupvBasis)) {
            this.techSupvBasis = techSupvBasis;
        } else {
            this.techSupvBasis = null;
        }
    }

    public void setProblemDesc(String problemDesc) {
        if (StrUtil.isNotBlank(problemDesc)) {
            this.problemDesc = problemDesc;
        } else {
            this.problemDesc = null;
        }
    }

    public void setDealAdvise(String dealAdvise) {
        if (StrUtil.isNotBlank(dealAdvise)) {
            this.dealAdvise = dealAdvise;
        } else {
            this.dealAdvise = null;
        }
    }

    public void setIsUploadHead(Integer isUploadHead) {
        this.isUploadHead = isUploadHead;
    }
}
